<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <LangVersion>default</LangVersion>
        <TargetFramework>net9.0</TargetFramework>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <OutputPath>../Bin/Debug/</OutputPath>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
      <OutputPath>../Bin/Release/</OutputPath>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Entity\Entity.csproj" />
      <ProjectReference Include="..\Fantasy\Fantasy.Net\Fantasy.Net\Fantasy.Net.csproj" />
      <ProjectReference Include="..\Hotfix\Hotfix.csproj" />
    </ItemGroup>

    <ItemGroup>
      <None Update="NLog.config">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="NLog.xsd">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
      <None Update="Fantasy.config">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="NLog" Version="5.3.4" />
    </ItemGroup>

</Project>
